
package de.ivu.elect.business.wahl.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.boundary.WahlDAO;
import de.ivu.elect.business.wahl.boundary.WahlCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlCreate {

  @Inject
  protected WahlDAO dao;

    @Inject
    transient Event<WahlCreateEvent> createEvent;



  


public void save(Wahl entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Wahl entity) {
        createEvent.fire(new WahlCreateEvent(entity));
  }

}
